#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Locale
%define		pnam	Maketext
%include	/usr/lib/rpm/macros.perl
Summary:	Locale::Maketext - framework for localization
Summary(pl.UTF-8):	Locale::Maketext - szkielet do lokalizacji programów
Name:		perl-Locale-Maketext
Version:	1.26
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9353005389875104baa8b409e6532203
URL:		http://search.cpan.org/dist/Locale-Maketext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 2.1-15
%if %{with tests}
BuildRequires:	perl-I18N-LangTags >= 0.31
%endif
Requires:	perl-I18N-LangTags >= 0.31
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is a common feature of applications (whether run directly, or via
the Web) for them to be "localized" - i.e., for them to a present an
English interface to an English-speaker, a German interface to a
German-speaker, and so on for all languages it's programmed with.

Locale::Maketext is a framework for software localization; it provides
you with the tools for organizing and accessing the bits of text and
text-processing code that you need for producing localized
applications.

%description -l pl.UTF-8
Często spotykaną cechą programów (uruchamianych bezpośrednio lub przez
WWW) jest ich lokalizacja, czyli umiejętność prezentowania
angielskiego interfejsu użytkownikowi anglojęzycznemu, niemieckiego -
niemieckojęzycznemu i tak dalej dla wszystkich języków, dla których
istnieją tłumaczenia.

Locale::Maketext jest szkieletem do tworzenia zlokalizowanych
programów; udostępnia Ci narzędzia do organizowania i odwoływania się
do fragmentów tekstu, oraz potrzebnego Ci przy tworzeniu
zlokalizowanego oprogramowania kodu przetwarzającego tekst.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Locale-Maketext/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/Maketext.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/Maketext/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Locale/Maketext.pm
%{perl_vendorlib}/Locale/Maketext
%{_mandir}/man3/Locale::Maketext*.3pm*
%changelog
* Sat Jul 25 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Locale-Maketext.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f6d464
- up to 1.26

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> f8dbe5d
- install-time versioned perl-I18N-LangTags dependency

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 37bfca7
- up to 1.21

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 40738de
- updated I18N-LangTags version
- use __rm macro

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dc77350
- up to 1.19

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 90e3667
- up to 1.17, verbose files, files cleanup

* Fri Jul 24 2009 Adam Gołębiowski <adamg@pld-linux.org> 2566cbd
- vendorlib/Locale/Maketext moved to perl-dirs; release 2

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 071d3f4
- up to 1.13

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> da9ddb0
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 5fae102
- up to 1.12

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c0427ff
- up to 1.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> afe72d3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5fad555
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cc55fa6
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 4bcadd3
- spelling fixes, uppercases, etc.

* Thu May 06 2004 ankry <ankry@pld-linux.org> d4e5e4e
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 69ce078
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> fe748e1
- license fixes & unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7f5fdbc
- ported to new bconds

* Fri Apr 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 334f363
- more specific BuildRequires

